libstdc++: std::_Base_bitset< 1 > Struct Reference

libstdc++

std::_Base_bitset< 1 > Struct Reference

`#include <bitset>`

## Public Types
typedef unsigned long | _WordT

## Public Member Functions
constexpr | _Base_bitset (unsigned long long __val) noexcept
template<size_t _Nb>
constexpr bool | _M_are_all () const noexcept
constexpr void | _M_do_and (const _Base_bitset< 1 > &__x) noexcept
constexpr size_t | _M_do_count () const noexcept
constexpr size_t | _M_do_find_first (size_t __not_found) const noexcept
constexpr size_t | _M_do_find_next (size_t __prev, size_t __not_found) const noexcept
constexpr void | _M_do_flip () noexcept
constexpr void | _M_do_left_shift (size_t __shift) noexcept
constexpr void | _M_do_or (const _Base_bitset< 1 > &__x) noexcept
constexpr void | _M_do_reset () noexcept
constexpr void | _M_do_right_shift (size_t __shift) noexcept
constexpr void | _M_do_set () noexcept
constexpr unsigned long long | _M_do_to_ullong () const noexcept
constexpr unsigned long | _M_do_to_ulong () const noexcept
constexpr void | _M_do_xor (const _Base_bitset< 1 > &__x) noexcept
constexpr const _WordT * | _M_getdata () const noexcept
constexpr _WordT | _M_getword (size_t) const noexcept
constexpr _WordT & | _M_getword (size_t) noexcept
constexpr _WordT | _M_hiword () const noexcept
constexpr _WordT & | _M_hiword () noexcept
constexpr bool | _M_is_any () const noexcept
constexpr bool | _M_is_equal (const _Base_bitset< 1 > &__x) const noexcept

## Static Public Member Functions
static constexpr _WordT | _S_maskbit (size_t __pos) noexcept
static constexpr size_t | _S_whichbit (size_t __pos) noexcept
static constexpr size_t | _S_whichbyte (size_t __pos) noexcept
static constexpr size_t | _S_whichword (size_t __pos) noexcept

## Public Attributes
_WordT | _M_w

## Detailed Description

Base class, specialization for a single word.

See documentation for bitset.

Definition at line 414 of file bitset.

## Member Typedef Documentation

## ◆ _WordT

typedef unsigned long std::_Base_bitset< 1 >::_WordT

Definition at line 416 of file bitset.

## Constructor & Destructor Documentation

## ◆ _Base_bitset() [1/2]

std::_Base_bitset< 1 >::_Base_bitset | ( |  | ) |
| inlineconstexprnoexcept

Definition at line 419 of file bitset.

## ◆ _Base_bitset() [2/2]

std::_Base_bitset< 1 >::_Base_bitset | ( | unsigned long long | __val | ) |
| inlineconstexprnoexcept

Definition at line 424 of file bitset.

## Member Function Documentation

## ◆ _M_are_all()

template<size_t _Nb>

bool std::_Base_bitset< 1 >::_M_are_all | ( |  | ) | const
| inlineconstexprnoexcept

Definition at line 507 of file bitset.

## ◆ _M_do_and()

void std::_Base_bitset< 1 >::_M_do_and | ( | const _Base_bitset< 1 > & | __x | ) |
| inlineconstexprnoexcept

Definition at line 470 of file bitset.

## ◆ _M_do_count()

size_t std::_Base_bitset< 1 >::_M_do_count | ( |  | ) | const
| inlineconstexprnoexcept

Definition at line 516 of file bitset.

## ◆ _M_do_find_first()

size_t std::_Base_bitset< 1 >::_M_do_find_first | ( | size_t | __not_found | ) | const
| inlineconstexprnoexcept

Definition at line 530 of file bitset.

## ◆ _M_do_find_next()

size_t std::_Base_bitset< 1 >::_M_do_find_next | ( | size_t | __prev,
|  | size_t | __not_found ) const
| inlineconstexprnoexcept

Definition at line 540 of file bitset.

## ◆ _M_do_flip()

void std::_Base_bitset< 1 >::_M_do_flip | ( |  | ) |
| inlineconstexprnoexcept

Definition at line 490 of file bitset.

## ◆ _M_do_left_shift()

void std::_Base_bitset< 1 >::_M_do_left_shift | ( | size_t | __shift | ) |
| inlineconstexprnoexcept

Definition at line 482 of file bitset.

## ◆ _M_do_or()

void std::_Base_bitset< 1 >::_M_do_or | ( | const _Base_bitset< 1 > & | __x | ) |
| inlineconstexprnoexcept

Definition at line 474 of file bitset.

## ◆ _M_do_reset()

void std::_Base_bitset< 1 >::_M_do_reset | ( |  | ) |
| inlineconstexprnoexcept

Definition at line 498 of file bitset.

## ◆ _M_do_right_shift()

void std::_Base_bitset< 1 >::_M_do_right_shift | ( | size_t | __shift | ) |
| inlineconstexprnoexcept

Definition at line 486 of file bitset.

## ◆ _M_do_set()

void std::_Base_bitset< 1 >::_M_do_set | ( |  | ) |
| inlineconstexprnoexcept

Definition at line 494 of file bitset.

## ◆ _M_do_to_ullong()

unsigned long long std::_Base_bitset< 1 >::_M_do_to_ullong | ( |  | ) | const
| inlineconstexprnoexcept

Definition at line 525 of file bitset.

## ◆ _M_do_to_ulong()

unsigned long std::_Base_bitset< 1 >::_M_do_to_ulong | ( |  | ) | const
| inlineconstexprnoexcept

Definition at line 520 of file bitset.

## ◆ _M_do_xor()

void std::_Base_bitset< 1 >::_M_do_xor | ( | const _Base_bitset< 1 > & | __x | ) |
| inlineconstexprnoexcept

Definition at line 478 of file bitset.

## ◆ _M_getdata()

const _WordT * std::_Base_bitset< 1 >::_M_getdata | ( |  | ) | const
| inlineconstexprnoexcept

Definition at line 457 of file bitset.

## ◆ _M_getword() [1/2]

_WordT std::_Base_bitset< 1 >::_M_getword | ( | size_t |  | ) | const
| inlineconstexprnoexcept

Definition at line 452 of file bitset.

## ◆ _M_getword() [2/2]

_WordT & std::_Base_bitset< 1 >::_M_getword | ( | size_t |  | ) |
| inlineconstexprnoexcept

Definition at line 448 of file bitset.

## ◆ _M_hiword() [1/2]

_WordT std::_Base_bitset< 1 >::_M_hiword | ( |  | ) | const
| inlineconstexprnoexcept

Definition at line 466 of file bitset.

## ◆ _M_hiword() [2/2]

_WordT & std::_Base_bitset< 1 >::_M_hiword | ( |  | ) |
| inlineconstexprnoexcept

Definition at line 462 of file bitset.

## ◆ _M_is_any()

bool std::_Base_bitset< 1 >::_M_is_any | ( |  | ) | const
| inlineconstexprnoexcept

Definition at line 512 of file bitset.

## ◆ _M_is_equal()

bool std::_Base_bitset< 1 >::_M_is_equal | ( | const _Base_bitset< 1 > & | __x | ) | const
| inlineconstexprnoexcept

Definition at line 502 of file bitset.

## ◆ _S_maskbit()

constexpr _WordT std::_Base_bitset< 1 >::_S_maskbit | ( | size_t | __pos | ) |
| inlinestaticconstexprnoexcept

Definition at line 444 of file bitset.

## ◆ _S_whichbit()

constexpr size_t std::_Base_bitset< 1 >::_S_whichbit | ( | size_t | __pos | ) |
| inlinestaticconstexprnoexcept

Definition at line 440 of file bitset.

## ◆ _S_whichbyte()

constexpr size_t std::_Base_bitset< 1 >::_S_whichbyte | ( | size_t | __pos | ) |
| inlinestaticconstexprnoexcept

Definition at line 436 of file bitset.

## ◆ _S_whichword()

constexpr size_t std::_Base_bitset< 1 >::_S_whichword | ( | size_t | __pos | ) |
| inlinestaticconstexprnoexcept

Definition at line 432 of file bitset.

## Member Data Documentation

## ◆ _M_w

_WordT std::_Base_bitset< 1 >::_M_w

Definition at line 417 of file bitset.

The documentation for this struct was generated from the following file:

- bitset